Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Class MultiTreeSupportException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.xplat.MultiTreeSupportException

public class MultiTreeSupportException
extends java.lang.Exception
implements java.io.Serializable, HasRootCause

Top-level exception thrown by Session object. All Session exceptions extend this exception.

See Also:
  Serialized Form

Constructor Summary
`MultiTreeSupportException(java.lang.String s)` Constructs a MultiTreeSupportException with the specified detail message.
`MultiTreeSupportException(java.lang.String s, java.lang.Throwable rootException)` Constructs a MultiTreeSupportException with the specified detail messagea and root-cause exception.
`MultiTreeSupportException(java.lang.Throwable rootException)` Constructs a MultiTreeSupportException with a root-cause exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root-cause exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiTreeSupportException

    public MultiTreeSupportException(java.lang.String s)

  Constructs a MultiTreeSupportException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - The detail message description.

### MultiTreeSupportException

    public MultiTreeSupportException(java.lang.Throwable rootException)

  Constructs a MultiTreeSupportException with a root-cause exception. The root cause exception can be retrieved using getRootCause().
  Parameters:
    `rootException` - The root-cause exception.

### MultiTreeSupportException

    public MultiTreeSupportException(java.lang.String s,
                                     java.lang.Throwable rootException)

  Constructs a MultiTreeSupportException with the specified detail messagea and root-cause exception. The root cause exception can be retrieved using getRootCause().
  Parameters:
    `s` - The detail message description.
    `rootException` - The root-cause exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root-cause exception. It is inherited from HasRootCause().
  Specified by:
    getRootCause in interface HasRootCause
  Returns:
    The root cause exception as a Throwable object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD